org.apache.maven.lifecycle.mapping

## Interface LifecycleMapping

- All Known Implementing Classes:
    DefaultLifecycleMapping

      public interface LifecycleMapping

  Version:
    $Id: LifecycleMapping.java 640549 2008-03-24 20:05:11Z bentmann $
  Author:
    Brett Porter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ROLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `getOptionalMojos(java.lang.String lifecycle)`
    `java.util.Map` | `getPhases(java.lang.String lifecycle)`

- - ### Field Detail

    - #### ROLE

          static final java.lang.String ROLE

  - ### Method Detail

    - #### getOptionalMojos

          java.util.List getOptionalMojos(java.lang.String lifecycle)

    - #### getPhases

          java.util.Map getPhases(java.lang.String lifecycle)